# $Revision: 1.34 $, $Date: 2006/10/19 09:24:29 $
%define	_hordeapp ingo
#define	_snap	2005-08-26
#define	_rc		rc2
%define	_rel	1
#
%include	/usr/lib/rpm/macros.php
Summary:	Ingo - an email filter rules manager
Summary(pl):	Ingo - zarzdca regu filtrowania poczty elektronicznej
Name:		horde-%{_hordeapp}
Version:	1.1.2
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{_rel}
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/ingo/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	dc9dbfe52df5b922ec852b1267df5130
#Source0:	ftp://ftp.horde.org/pub/ingo/%{_hordeapp}-h3-%{version}-%{_rc}.tar.gz
Source1:	%{_hordeapp}.conf
Patch0:		%{_hordeapp}-path.patch
URL:		http://www.horde.org/ingo/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.15.1
Requires:	horde >= 3.0
Requires:	webapps
Obsoletes:	%{_hordeapp}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# horde accesses it directly in help->about
%define		_noautocompressdoc  CREDITS
%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Ingo currently supports the following filtering drivers:
- Sieve (using timsieved)
- procmail (using VFS FTP driver)
- IMAP client-side filtering

Ingo has replaced IMP's internal filtering code and is the default
filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Ingo) please visit <http://www.horde.org/>.

%description -l pl
Ingo aktualnie obsuguje nastpujce sterowniki filtrowania:
- Sieve (przy uyciu timsieved)
- procmail (przy uyciu sterownika VFS FTP)
- filtrowanie po stronie klienta IMAP

Ingo zastpi wewntrzny kod filtrujcy IMP-a i jest domylnym agentem
filtrowania w IMP-ie H3 (4.0).

Projekt Horde pisze aplikacje WWW w PHP i wydaje je na Powszechnej
Licencji Publicznej GNU (General Public License). Wicej informacji
(wraz z pomoc do Ingo) mona znale na stronie
<http://www.horde.org/>.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1
%patch0 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
ln -s %{_docdir}/%{name}-%{version}/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 1.1-0.rc2.0.6, %{_hordeapp}
for i in backends.php conf.php fields.php prefs.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-ingo.spec,v $
Revision 1.34  2006/10/19 09:24:29  glen
- 1.1.2 FINAL

Revision 1.33  2006/10/01 17:09:36  glen
- rel 2

Revision 1.32  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.31  2006/05/02 18:45:43  glen
- fix %prep properly

Revision 1.30  2006/05/02 18:37:15  paszczus
- updated to 1.1.1

Revision 1.29  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.28  2006/04/05 13:06:50  baggins
- release 1

Revision 1.27  2006/03/06 22:20:58  paszczus
- updated to FINAL 1.1

Revision 1.26  2006/02/28 12:34:52  glen
- fix trigger

Revision 1.25  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.24  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.23  2006/02/14 15:58:43  glen
- rc2

Revision 1.22  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.21  2006/01/08 22:26:53  glen
- unify

Revision 1.20  2006/01/08 20:04:09  glen
- use %service in triggers
- trigger also on old package name

Revision 1.19  2006/01/05 18:05:48  paszczus
- updated to 1.1rc1

Revision 1.18  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.17  2005/12/02 16:07:59  glen
- rel 2

Revision 1.16  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.15  2005/11/30 21:21:19  glen
- unify

Revision 1.14  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.13  2005/11/29 19:17:31  glen
- incompatible apache versions are listed in webapps package

Revision 1.12  2005/11/28 11:35:56  glen
- use webapps framework

Revision 1.11  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.10  2005/10/16 01:59:14  glen
- Ingo H3 (1.0.2) (final)

Revision 1.9  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.8  2005/09/17 15:21:50  glen
- unify

Revision 1.7  2005/09/17 00:40:59  glen
- merged 1.0.2rc1 from DEVEL
- using %{_hordeapp} macro

Revision 1.6.4.3  2005/08/30 18:28:49  paszczus
- updated to 1.0.2rc1

Revision 1.6.4.2  2005/08/27 09:39:47  paszczus
- it is a snap of 1.1 version

Revision 1.6.4.1  2005/08/27 09:35:39  paszczus
- updated to 2005-08-26 snap (many changes were made)
- release 1

Revision 1.6  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.5  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.4  2005/03/21 17:22:50  glen
- rel 1; STBR

Revision 1.3  2005/03/06 09:58:57  glen
- strict apache module require

Revision 1.2  2005/02/28 19:41:27  qboosh
- pl

Revision 1.1  2005/02/27 20:00:33  glen
- new horde app
